/**
 * Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
 *
 * THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
 * AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
 * UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
 * This notice may not be removed from this file.
 */

package com.compdfkit.tools.common.views.pdfannotationbar.bean;


import androidx.annotation.DrawableRes;

import com.compdfkit.tools.common.views.pdfannotationbar.bean.CAnnotationType;

public class CAnnotToolBean {

    private CAnnotationType type;

    @DrawableRes
    private int iconResId;

    private boolean select;

    public CAnnotToolBean(CAnnotationType type, @DrawableRes int iconResId){
        this.type = type;
        this.iconResId = iconResId;
    }

    public CAnnotationType getType() {
        return type;
    }

    public void setType(CAnnotationType type) {
        this.type = type;
    }

    public int getIconResId() {
        return iconResId;
    }

    public void setIconResId(int iconResId) {
        this.iconResId = iconResId;
    }

    public boolean isSelect() {
        return select;
    }

    public void setSelect(boolean select) {
        this.select = select;
    }
}
