package com.compdfkit.tools.common.views.pdfannotationbar.data;


import com.compdfkit.tools.R;
import com.compdfkit.tools.common.views.pdfannotationbar.bean.CAnnotToolBean;
import com.compdfkit.tools.common.views.pdfannotationbar.bean.CAnnotationType;

import java.util.ArrayList;
import java.util.List;

public class CAnnotationToolDatas {

    public static List<CAnnotToolBean> getAnnotationList() {
        List<CAnnotToolBean> list = new ArrayList<>();
        list.add(new CAnnotToolBean(CAnnotationType.NOTE, R.drawable.tools_ic_annotation_note));
        list.add(new CAnnotToolBean(CAnnotationType.HIGHLIGHT, R.drawable.tools_ic_annotation_highlight));
        list.add(new CAnnotToolBean(CAnnotationType.UNDERLINE, R.drawable.tools_ic_annotation_underline));
        list.add(new CAnnotToolBean(CAnnotationType.STRIKEOUT, R.drawable.tools_ic_annotation_deleteline));
        list.add(new CAnnotToolBean(CAnnotationType.SQUIGGLY, R.drawable.tools_ic_annotation_underline));
        list.add(new CAnnotToolBean(CAnnotationType.INK, R.drawable.tools_ic_annotation_ink));
        list.add(new CAnnotToolBean(CAnnotationType.SQUARE, R.drawable.tools_ic_annotation_shape_rectangle));
        list.add(new CAnnotToolBean(CAnnotationType.CIRCLE, R.drawable.tools_ic_annotation_shape_circular));
        list.add(new CAnnotToolBean(CAnnotationType.ARROW, R.drawable.tools_ic_annotation_shape_arrow));
        list.add(new CAnnotToolBean(CAnnotationType.LINE, R.drawable.tools_ic_annotation_link));
        list.add(new CAnnotToolBean(CAnnotationType.SIGNATURE, R.drawable.tools_ic_annotation_sign));
        list.add(new CAnnotToolBean(CAnnotationType.STAMP, R.drawable.tools_ic_annotation_stamp));
        list.add(new CAnnotToolBean(CAnnotationType.PIC, R.drawable.tools_ic_annotation_pic));
        list.add(new CAnnotToolBean(CAnnotationType.LINK, R.drawable.tools_ic_annotation_link));
        list.add(new CAnnotToolBean(CAnnotationType.SOUND, R.drawable.tools_ic_annotation_pic));
        return list;
    }


}
